Apache2.2.22如何配置支持TLS1.2?

使用的是老版本的Apache2.2.22
在SSLProtocol 中写上+TLSv1.2,apache就启动不了。
请问有什么办法能支持tls1.2
SSLCipherSuite 应该怎么写?
和证书文件有关么?

0

1个回答

Support for TLSv1.1 and TLSv1.2 was added in httpd 2.2.23. You will need to upgrade httpd itself, and also have OpenSSL 1.0.1 available at build-time and at run-time.

http://www.apache.org/dist/httpd/CHANGES_2.2

2
conango
conango 谢谢,我试试更新apache版本
接近 2 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Xutils 如何增加TLS1.2的支持
需求: 公司为了提高服务器安全,要求所有与服务器交互的api都需要采用且仅支持Https TLS1.2。 测试后发现Xutils 无法访问这种接口,寻遍各个网站后找到一种解决方案。 首先你需要下载netcipher-1.2.jar 包。 netcipher-1.2.jar 然后在RequestParams 添加SslSocketFactory TlsOnlySocketFactor
Apache2.2.22
Apache2.2.22安装文件!
JDK1.7支持TLS1.2协议解决方案
近期,项目中需要调用的第三方API接口升级,http调用要使用TLS1.2协议。但是项目使用的是JDK1.7,默认支持的TLS是V1 ,jdk1.8默认支持的是v1.2。升级JDK影响比较大,所以不做升级处理。 查询了很多网上资料,有改服务器配置的,也有修改Java请求http代码的。此次是选择修改Java代码 以下是解决方案: 直接在调用接口修改java代码,在创建socket连接时指定调...
.net4.0 如何设置tls1.2
我用vs2010 .net最要版本4.0 rn在使用httprequest请求https站点时遇到了“基础连接已关闭 发送时发生错误”的异常rn处理过程中发现目标站点使用的是tls1.2协议 而 4.0只能设置ssl3和tlsrn尝试枚举类型转换ServicePointManager.SecurityProtocol = (SecurityProtocolType)3072;rn抛出异常不支持的协议rn这个问题需要如何来出来呢?
delphi2010 indy10.6.2 完成安装 支持TLS1.2
delphi2010 indy10.6.2 完成安装 支持TLS1.2,内有安装说明
关于Android4.x系统支持TLS1.2的解决方案
为Http请求的网络客户端设置一个特殊的SSLSocketFactory。这个代理SSLSocketFactory在创建一个Socket连接的时候,会设置Socket的可用的TLS版本。private static final String[] TLS_SUPPORT_VERSION = {"TLSv1.1", "TLSv1.2"}; ((SSLSocket) s).setEnabledProto
libeay32.dll ssleay32.dll Delphi2010 indy10 支持 TLS1.2
libeay32.dll ssleay32.dll Delphi2010 indy10 支持 TLS1.2
TLS1.2 规范
TLS1.2协议 共包含rfc5246 rfc5746 rfc5878 rfc6176几个部分
nginx 配置TLS1.2无效总是TLS1.0
最近因为证书过期要换证书,不过发现ios端访问总是证书验证不过,必须使用TLS1.2连接才可以,不过通过nginx配置成TLS1.2后,访问还是走的TLS1.0,网上也查了不少资料,openssl和nginx的版本均没问题,搞了很长时间,后来才发现,nginx上面配置了很多站点,只将这一个站点修改成TLS1.2是不起作用的,于是,将这个nginx上配置的其他的站点也统一修改成了TLS1.2,问题解...
编译安装apache2.2.22问题小结
1、configure时找不到pcre-config 编译参数:--with-pcre的目录需要写全,--with-pcre=/usr/local/bin 》》 --with-pcre=/usr/local/bin/pcre-config 2、Size of "void *" is less than size of "long" you need to either add /usr/lo...
安装apache2.2.22时遇到的问题。
问题: (针对linux下普通用户的安装) libtool: install: error: cannot install `libaprutil-1.la' to a directory not ending in /usr/local/apache22/lib make[2]: *** [install] Error 1 解决办法: 问题是出在配置的时候没有指定--prefix参
Windows XP下Apache2.2.22 + php5.2.17 + mysql5详细配置.docx
Windows XP下Apache2.2.22 + php5.2.17 + mysql5详细配置
HTTPS TLS1.2密码套件
核心代码TlsClientProtocol protocol = new TlsClientProtocol(tcpClient.GetStream(), new Org.BouncyCastle.Security.SecureRandom()); MyTlsClient client = new MyTlsClient(); protocol.Connect(client);
Android TLS1.2双向认证demo
Android客户端与PC服务端进行双向认证,基于TLS1.2安全协议,完成双向认证。
jdk1.6 支持 tls1.2协议过程中,遇到不信任证书问题。
事件:rn因为调用的接口要升级到 tls1.2协议,但是我的项目环境是JDK1.6,功能多,代码乱不敢升级到JDK1.8.rnrn根据网上查到的jdk1.6 支持 tls1.2协议的方法,新建TLSSocketConnectionFactory类并继承SSLSocketFactory。rn同时 在 httpsurlconnection.setSSLSocketFactory(new TLSSocketConnectionFactory());rn但是运行后报java.io.IOException: Internal TLS error, this could be an attack。rnrn如果使用自己实现的X509TrustManager来信任所有证书,则只能用SSLContext,rnhttpsurlconnection.setSSLSocketFactory(sslcontext.getSocketFactory());而且不报错,接口正常调用。rn调用的接口是http,不是https。rnrn是否跟对方的测试接口没有升级到tls1.2协议有关。rnrnrnrnrnTLSSocketConnectionFactory代码与下帖完全一致。rnhttps://blog.csdn.net/g5zhu5896/article/details/80429686#commentBoxrnrn有知道的大神指点一下。
如何配置jboss支持shtml
如题,盼望各位大虾解答!
如何配置CFree5.0支持C++11。
如何配置CFree5.0支持C++11。如何配置CFree5.0支持C++11。如何配置CFree5.0支持C++11。rn不要复制粘贴,来热心详细的大牛。[img=https://forum.csdn.net/PointForum/ui/scripts/csdn/Plugin/001/face/21.gif][/img]
如何配置apache+tomcat+oracle+jsp支持cgi
我的系统是windowsxp,采用apache+tomcat+oracle+jsp+arcims,请问如何配置apache支持cgirn请教各位大侠rn亦可qq联系:12623701rn小妹不胜感激!
如何配置apache支持CGI
各位大侠,我的Apache是Apache/2.0.47,Perl是ActiveState Perl5.8.0rn按照apache自带的文档里步骤设置好后,运行是提示如下错误:rnThe server encountered an internal error or misconfiguration and was unable to complete your request.rn请各位大侠指教,正确运行后给分
从零开始构建支持TLS1.2的Web服务器Linux版(一) 配置JAVA环境
下载安装包根据自己的需要选择合适的安装包,官方下载地址Oracle官网下载 我选择的是jdk1.8 linux64位tar.gz版本, 你可以选择RPM版本,进行直接安装。 请注意,这里的真实链接地址,是根据浏览器上下载时拷贝出来的地址。 因为服务器上直接下载会快很多,我就没有本地下载再上传。[root@VM_195_229_centos ~]#
从零开始构建支持TLS1.2的Web服务器Linux版(四)配置FTP环境
在安装前先检查是否已经安装了vsftpd[root@VM_195_229_centos ~]# rpm -q vsftpd package vsftpd is not installed结果显示,目前该系统上还没有安装vsftpd,使用yum安装:[root@VM_195_229_centos ~]# yum -y install
从零开始构建支持TLS1.2的Web服务器Linux版(二) 配置Tomcat环境
下载Tomcat安装包 在下载安装Tomcat前,请确保已经按 (一) 配置JAVA环境 正确安装配置好Java环境。 根据自己的需要选择合适的安装包,官方下载地址Tomcat官网下载 我选择的是Tomcat 9.0.0.M22 的tar.gz版本。 因为服务器上直接下载会快很多,我就没有
发送基于TLS1.2的HTTPS请求
本文主要介绍了如何发送基于TLS1.2安全协议的HTTPS请求 由于目前对网络安全越来越重视,我们会在HTTP的基础上加上一些安全协议 目前最为广泛所使用的安全协议是TLS1.2 很多服务端容器都已经支持通过配置来设置HTTPS的端口从而支持HTTPS协议 在发送HTTPS的请求之前我们需要获取服务端提供的签名证书 之后将签名证书通过keytool命令导入到本地的keystore中,方便
解决jdk1.7 不支持TLS1.2的问题
这个问题是在生产环境调整之后出现的,因为之前是好使的,后来又一天突然不好使了,观察日志发现代码抛异常,感觉是没有连接上服务器,但是其他环境是好使的,有点疑惑,分析后发现可能是ssl的协议问题,所以观察了下Nginx的配置,发现运维伙伴基于公司的安全机制,将ssl_protocols从 TLSv1.2 TLSv1.1 TLSv1.0; 调整成了TLSv1.2 TLSv1.1; 然后查了下资料,发现j...
HTTPs TLS1.2 请求模拟测试
以下工具可以用来测试TLS1.2证书是否生效: 第一个类: package com.firstdata.TLStool; import javax.net.ssl.HostnameVerifier; import javax.net.ssl.SSLSession; /** * 实现用于主机名验证的基接口。 * 在握手期间,如果 URL 的主机名和服务器的标识主机名不匹配,则验证机制可...
paypal php不支持TLS1.2解决方法
php不支持TLS1.2解决方法php不支持TLS1.2解决方法php不支持TLS1.2解决方法
HTTP TLS1.2 HTTP2.0JAVA转换C#HTTP
H2 TLS1.2协议开发例子。最低net版本可以在2.0环境下,彻底解决了XP环境无法使用TLS1.2协议的情况
linux 下PHP5.2.13 + Apache2.2.22 ,访问只显示源码
linux (rhel5) 环境下 rn安装包:rn1. httpd-2.2.22.tar.gzrn2. php-5.2.13.tar.bz2rnrn/usr/local/apache/bin/apachectl startrn启动apache后可以访问,但访问php的内容都是源码,rn初学php, 求解决方案[img=https://forum.csdn.net/PointForum/ui/scripts/csdn/Plugin/001/face/1.gif][/img]rn
php for linux安装既不支持mysql.如何配置支持mysql
今天安装了php for linux安装,打印php信息,没看到任何的MySQL,没看到它支持的mysql模块,为什么不支持mysql.如何配置支持mysql?
Photon 支持HTTP协议吗?如果支持如何配置,谢谢
Photon 支持HTTP协议吗?如果支持如何配置,谢谢
如何配置APACHE既支持JSP和支持ASP?
如何配置APACHE既支持JSP和支持ASP?
请教coldfusion6.01支持Firebird 2.0吗?如果支持如何配置。
因为可选择的数据库中没有Firebird 2.0,但是有odbc 请教如何配置。
请教coldfusion支持Firebird 2.0吗?如果支持如何配置。
请教coldfusion支持Firebird 2.0吗?如果支持如何配置。
如何配置Tomcat以支持SSL
如何配置Tomcat以支持SSL 博文链接:https://snowyvalley.iteye.com/blog/69964
【转】如何:配置支持 LXC 的 CentOS 6
1. LXC 的介绍LXC (Linux Container)不是真正的虚拟化技术,它更像是一个 chroot 的环境。在 http://lxc.sourceforge.net 可以获得关于 LXC 的更多信息 。2. 安装 libvirt 堆栈yum install libvirt libvirt-client python-virtinst3. 配置 LXC 容器假设你想配置一个完整的容器,就...
jBuilder5如何配置才能支持EJB?
jBuilder5中我配置了APP能支持jsp,servlet但点new-Enterprise时EJB为灰色的,为什么呢?
急!如何配置TOMCAT6.0.10,使其支持IPV6
有谁知道TOMCAT6如何配置才能支持IPV6访问?急急!!!
如何配置IIS,从而支持Wap页面
-
如何配置iis+resin+jdk使之支持asp、jsp
请各位本着谆谆之心娓娓道来(尽量不厌其烦),我再此拳拳之心相侯
tomcat 如何配置对xhtml支持?
我的tomcat5.5可以正常支持wml,但是每访问xhtml文件时总是提示下载,不知道如何解决.rn我确定conf 目录下的web.xml中已经同时有xhtml和wml了.为什么就xhtml不行呢?rnrnlinux 和 Windows 上碰到同样的问题,急求解,谢谢